{
  "type" : "record",
  "name" : "ShortTandemRepeatDetails",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "shortTandemRepeatCoordinates",
    "type" : {
      "type" : "record",
      "name" : "Coordinates",
      "fields" : [ {
        "name" : "assembly",
        "type" : {
          "type" : "enum",
          "name" : "Assembly",
          "doc" : "The reference genome assembly",
          "symbols" : [ "GRCh38", "GRCh37" ]
        },
        "doc" : "The assembly to which this variant corresponds"
      }, {
        "name" : "chromosome",
        "type" : "string",
        "doc" : "Chromosome without \"chr\" prefix (e.g. X rather than chrX)"
      }, {
        "name" : "start",
        "type" : "int",
        "doc" : "Start genomic position for variant (1-based)"
      }, {
        "name" : "end",
        "type" : "int",
        "doc" : "End genomic position for variant"
      }, {
        "name" : "ciStart",
        "type" : [ "null", {
          "type" : "record",
          "name" : "ConfidenceInterval",
          "fields" : [ {
            "name" : "left",
            "type" : "int"
          }, {
            "name" : "right",
            "type" : "int"
          } ]
        } ]
      }, {
        "name" : "ciEnd",
        "type" : [ "null", "ConfidenceInterval" ]
      } ]
    },
    "doc" : "Short tandem repeat coordinates"
  }, {
    "name" : "repeatedSequence",
    "type" : "string",
    "doc" : "Repeat motif e.g. CAG"
  }, {
    "name" : "numberOfCopies",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "NumberOfCopies",
        "fields" : [ {
          "name" : "numberOfCopies",
          "type" : "int",
          "doc" : "Number of copies given by the caller in one of the allele"
        }, {
          "name" : "confidenceIntervalMaximum",
          "type" : [ "null", "int" ]
        }, {
          "name" : "confidenceIntervalMinimum",
          "type" : [ "null", "int" ]
        } ]
      }
    } ],
    "doc" : "Short tandem repeat copy number for each allele"
  } ]
}
